Commit fd98356f authored by Stephan Kuschel's avatar Stephan Kuschel
Browse files

remove .travis.yml

parent 1be56ef5
# Check this file before committing a new version:
# http://lint.travis-ci.org/
language: python
sudo: false
dist: xenial
notifications:
email:
on_success: change
on_failure: change
env:
- MATPLOTLIB_V=* NUMPY_V=* SCIPY_V=* CYTHON_V=* PYGMENTS_V="=*"
# - MATPLOTLIB_V=2.0.2 NUMPY_V=* SCIPY_V=* CYTHON_V=*
jobs:
fast_finish: true
allow_failures:
- python: 2.7 # end of life since Jan 1st, 2020.
# have this allowed as there is a bug in matplotlib 2.1.0
# - env: MATPLOTLIB_V=* NUMPY_V=* SCIPY_V=* CYTHON_V=*
include:
- stage: Fast test
python: 3.5
virtualenv:
system_site_packages: true
before_install: skip
install:
- pip install 'matplotlib<3.1'
- pip install -r pip-requirements.txt
before_script: skip
script: ./run-tests.py --fast
- stage: Tests
- python: 3.5
env: MATPLOTLIB_V=3.0
- python: 3.6
- python: 3.7
# Ubuntu 18.04 LTS
- name: "Ubuntu 18.04 LTS - Python 3.6"
python: 3.6
env: MATPLOTLIB_V=2.1.1 NUMPY_V=1.13.3 SCIPY_V=0.19.1 CYTHON_V=0.26.1
# Install conda
before_install:
- wget https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh -O miniconda.sh;
- chmod +x miniconda.sh
- ./miniconda.sh -b -p $HOME/miniconda
- export PATH=$HOME/miniconda/bin:$PATH
- conda update --yes conda;
- conda config --append channels anaconda
- conda create -yn pyenv python=$TRAVIS_PYTHON_VERSION numpy=$NUMPY_V scipy=$SCIPY_V matplotlib=$MATPLOTLIB_V nose cython=$CYTHON_V h5py numexpr sphinx pygments$PYGMENTS_V $EXTRAPACK
- source activate pyenv
install:
- pip install -r pip-requirements.txt
before_script:
- uname -a
- free -m
- df -h
- ulimit -a
- python -V
- cython --version
# run tests
script:
- ./run-tests.py
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment